VERSION 5.00
Object = "{0F610DD2-6D8E-11D5-8086-40AC4FC10000}#30.0#0"; "Veye.ocx"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   6330
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8085
   LinkTopic       =   "Form1"
   ScaleHeight     =   6330
   ScaleWidth      =   8085
   StartUpPosition =   3  'Windows Default
   Begin Veye.Eyeball Squiz 
      Height          =   735
      Left            =   840
      TabIndex        =   4
      Top             =   240
      Width           =   1455
      _ExtentX        =   2566
      _ExtentY        =   1296
   End
   Begin VB.CommandButton Snap 
      Caption         =   "Snap"
      Height          =   615
      Left            =   5880
      TabIndex        =   3
      Top             =   1440
      Width           =   975
   End
   Begin VB.CommandButton Runnit 
      Caption         =   "Go"
      Height          =   615
      Left            =   5880
      TabIndex        =   2
      Top             =   2280
      Width           =   975
   End
   Begin VB.CommandButton quit 
      Caption         =   "stop"
      Height          =   855
      Left            =   5880
      TabIndex        =   1
      Top             =   3120
      Width           =   975
   End
   Begin VB.PictureBox Pic 
      Height          =   3015
      Left            =   840
      ScaleHeight     =   197
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   245
      TabIndex        =   0
      Top             =   1440
      Width           =   3735
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim stoppit As Boolean           'flag is set when stopping
Dim n As Integer
Dim w As Integer, h As Integer   'for image width and height

Private Sub Form_Load()     'This happens when you run
Show
Squiz.Source                'Choose the camera if you have more than one
Squiz.Format                'set the resolution
Squiz.OnTop                 'Put the camera frame on top of other windows

End Sub

Private Sub quit_Click()    'This happens when you click the stop button
stoppit = True
End Sub

Private Sub Runnit_Click()  'When you hit the GO button
Runnit.Enabled = False      'Can't click it a second time
Dim i As Integer, j As Integer, p As Integer
Dim q As Integer, r As Integer
w = Squiz.pwidth            'When Veye was put on the form,
h = Squiz.pheight           'it was given the name Squiz
Debug.Print w, h
ReDim picbytes(2, w - 1, h - 1) As Byte   'Ready to receive image data
Do
  Squiz.OnTop
  Squiz.SnapToArray picbytes()            'Fill the array with data
  DoEvents                  'allow other events to happen
  For j = 0 To h - 1
    For i = 0 To w - 1
       p = picbytes(2, i, j) 'red byte
       q = picbytes(1, i, j) 'green byte
       r = picbytes(0, i, j) 'blue byte
       
       Pic.PSet (i, h - j), RGB(p, q, r)  'Paint the dot
    Next
  Next
Loop Until stoppit            'Keep going until STOP has ben pressed
stoppit = False
Do
  DoEvents
Loop Until stoppit            'Wait until it is pressed again
Squiz.shut                    'and then shut the OCX
stoppit = False
Do
  DoEvents
Loop Until stoppit            'Third click ends the program
End
End Sub

Private Sub Snap_Click()      'Take a snap and show it
Squiz.SnapToClipboard
Pic.Picture = Clipboard.GetData
End Sub
